%define beta beta3

Name: libtheora
Version: 1.0
Release: alt0.%beta
Serial: 1
Summary: Theora is Xiph.Org's first publicly released video codec.
License: BSD
Group: System/Libraries
Url: http://www.theora.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version%beta.tar.gz
Patch: libtheora-1.0beta3-alt-link.patch

# Automatically added by buildreq on Thu Jun 22 2006
BuildRequires: doxygen esound gcc-c++ libSDL-devel libvorbis-devel libogg-devel libpng-devel

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the 
bitstream headers, but Theora will make use of this extra freedom 
in the future to improve over what is possible with VP3.

%package devel
Summary: Development files of Theora video codec
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files of Theora video codec.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n %name-%version%beta
%patch -p1

%build
%autoreconf
%configure \
    --disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc AUTHORS CHANGES COPYING LICENSE README
%_libdir/*.so.*

%files devel
%doc doc/libtheora/html/* doc/draft-*-avt-rtp-theora-00.txt doc/vp3-format.txt
%doc doc/spec/Theora.pdf
%_includedir/theora
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%changelog
* Thu Apr 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0-alt0.beta3
- 1.0beta3

* Sun Oct 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0-alt0.beta2
- 1.0beta2
- disable static

* Sun Sep 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0-alt0.beta1
- 1.0beta1

* Fri Sep 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0-alt0.alpha8
- 1.0alpha8

* Thu Jun 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha7-alt1
- 1.0alpha7

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0alpha5-alt1.1
- Rebuilt for new pkg-config dependencies.

* Tue Aug 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha5-alt1
- 1.0altha5

* Sat Jan 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha4-alt1
- 1.0alpha4

* Sun Oct 24 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha3-alt3
- added theora.pc patch

* Sun Jun 20 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha3-alt2
- fixed URL

* Thu Jun 17 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0alpha3-alt1
- initial release

